/*
  LiquidCrystal Library - Serial Input
*/

/*
  This example code is in the public domain.

  http://arduino.cc/en/Tutorial/LiquidCrystalSerial
*/

// include the library code:
#include <LiquidCrystal.h>


char c[33];

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(8, 9, 4, 5, 6, 7);

void setup() {
  // set up the LCD's number of columns and rows:
  lcd.begin(16, 2);
  // initialize the serial communications:
  Serial.begin(115200);
}

void setcuser1(void )
{
  lcd.setCursor(0, 1);
}

void setcuser0(void )
{
  lcd.setCursor(0, 0);
  // lcd.clear();
}


int i;
static bool flag;


void loop()
{
  char ch;
  char buf[4];
  // when characters arrive over the serial port...
  if (Serial.available()) {
    ch = Serial.read();
    switch(ch){
     case 0x0A:
        break;
     case 0x0D:
        break;
     case ':':
        lcd.write(ch);
        break;
     case 'a':
        setcuser0();
        lcd.clear();
        lcd.write(ch);
        break;
     case 'z':
        lcd.write(ch);
        break;
     case 'e':
        setcuser1();
        lcd.write(ch);
        break;
     case 'l':
        lcd.write(ch);
        break;
     case '0':
     case '1':
     case '2':
     case '3':
     case '4':
     case '5':
     case '6':
     case '7':
     case '8':
     case '9':
     case '.':
     case '-':
        lcd.write(ch);     
        break;
    };
  };
}
